commit:     016a6451f48216cbcdc0e2d0fdb342b9fae6a4fa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 29 21:56:49 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun 29 22:22:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=016a6451

x11-libs/libtinynotify-systemwide: Modernize to EAPI=6

 .../libtinynotify-systemwide-0.1.ebuild            | 18 ++++++-----
 .../libtinynotify-systemwide-9999.ebuild           | 35 +++++++++++-----------
 2 files changed, 28 insertions(+), 25 deletions(-)

diff --git 
a/x11-libs/libtinynotify-systemwide/libtinynotify-systemwide-0.1.ebuild 
b/x11-libs/libtinynotify-systemwide/libtinynotify-systemwide-0.1.ebuild
index 5120a429ccd..4543af991c3 100644
--- a/x11-libs/libtinynotify-systemwide/libtinynotify-systemwide-0.1.ebuild
+++ b/x11-libs/libtinynotify-systemwide/libtinynotify-systemwide-0.1.ebuild
@@ -1,9 +1,7 @@
 # Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-
-inherit autotools-utils
+EAPI=6
 
 DESCRIPTION="A system-wide notifications module for libtinynotify"
 HOMEPAGE="https://github.com/mgorny/libtinynotify-systemwide/";
@@ -14,16 +12,22 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="doc static-libs"
 
-RDEPEND="sys-process/procps
-       x11-libs/libtinynotify"
+RDEPEND="sys-process/procps:0=
+       x11-libs/libtinynotify:0="
 DEPEND="${RDEPEND}
        virtual/pkgconfig
        doc? ( dev-util/gtk-doc )"
 
 src_configure() {
-       myeconfargs=(
+       local myconf=(
                $(use_enable doc gtk-doc)
+               $(use_enable static-libs static)
        )
 
-       autotools-utils_src_configure
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
 }

diff --git 
a/x11-libs/libtinynotify-systemwide/libtinynotify-systemwide-9999.ebuild 
b/x11-libs/libtinynotify-systemwide/libtinynotify-systemwide-9999.ebuild
index 8823fe38587..d4effe7755c 100644
--- a/x11-libs/libtinynotify-systemwide/libtinynotify-systemwide-9999.ebuild
+++ b/x11-libs/libtinynotify-systemwide/libtinynotify-systemwide-9999.ebuild
@@ -1,43 +1,42 @@
 # Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=6
 
-#if LIVE
-AUTOTOOLS_AUTORECONF=yes
 EGIT_REPO_URI="https://github.com/mgorny/${PN}.git";
-
-inherit git-r3
-#endif
-
-inherit autotools-utils
+inherit autotools git-r3
 
 DESCRIPTION="A system-wide notifications module for libtinynotify"
 HOMEPAGE="https://github.com/mgorny/libtinynotify-systemwide/";
-SRC_URI="https://github.com/mgorny/libtinynotify-systemwide/releases/download/${P}/${P}.tar.bz2";
+SRC_URI=""
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS=""
 IUSE="doc static-libs"
 
 RDEPEND="sys-process/procps:0=
        x11-libs/libtinynotify:0="
 DEPEND="${RDEPEND}
+       >=dev-util/gtk-doc-1.18
        virtual/pkgconfig
        doc? ( dev-util/gtk-doc )"
 
-#if LIVE
-KEYWORDS=
-SRC_URI=
-DEPEND="${DEPEND}
-       >=dev-util/gtk-doc-1.18"
-#endif
+src_prepare() {
+       default
+       eautoreconf
+}
 
 src_configure() {
-       myeconfargs=(
+       local myconf=(
                $(use_enable doc gtk-doc)
+               $(use_enable static-libs static)
        )
 
-       autotools-utils_src_configure
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to